Subject: Re: 8169 Intermittent ifup Failure Issue With RTL8102E Chipset in Intel's New D945GCLF Atom Board (Not the Initial Modprobe Crash, Another Problem)

From: Michael Grollman <[email-masked]>
Date: Thu, 26 Jun 2008 15:27:17 -0700

Francois,

The failure can be reproduced with:

    pci=nommconf

and also with:

    pci=conf1

I attached a gzip of the .config used for this build.  It should be very 
close to 'right out of the box.'

- Michael

Francois Romieu wrote:
> (linux-pci Cced)
>
> Michael Grollman <[email-masked]> :
> [...]
>   
>> Per instructions, I built an 2.6.26-rc8 system on the target Intel 
>> hardware, and was able to re-recreate the intermittent failure of the 8201. 
>>  When in failure mode, the lspci -vx' display of the pci registers of the 
>> 8102 is as follows:
>>
>> 01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E PCI 
>> Express Fast Ethernet controller (rev ff) (prog-if ff)
>>    !!! Unknown header type 7f
>> 00: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
>> 10: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
>> 20: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
>> 30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
>>     
>
> Bad mojo.
>
> Can you reproduce the failure of the driver or lspci when you
> boot the kernel with "pci=nommconf" (assuming CONFIG_PCI_MMCONFIG is
> set in your .config) or "pci=conf1" (if CONFIG_PCI_DIRECT is instead).
>
> [...]
>   
>> Let me know if there is anything else I can do to collect information on 
>> this situation.
>>     
>
> The (gzipped) content of your .config.
>
> Kasper, could you check if you have the same symptoms with
> 2.6.26-rc8 (once your rendering is finished of course) ?
>
>   

-- 
Michael Grollman
National Scientific Corporation
8361 East Evans Rd Ste 106
Scottsdale, AZ.  85260  USA
Voice: +1-480-948-8324 x 303
Fax: +1-480-483-8893
[email-masked]
www.nsct.info